# Cancel a 3DS Authentication

This endpoint cancels a 3DS Authentication. You can cancel a 3DS Authentication object when it’s in a non-final status: `requires_submission` or `requires_challenge`.

## Request

```curl
curl -X POST https://api.stripe.com/v1/three_d_secure/authentications/tdsa_1R8f5b10euUGRsD7cqGtmJsb/cancel \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "id": "tdsa_1R8f5b10euUGRsD7cqGtmJsb",
  "object": "three_d_secure.authentication",
  "acquirer_details": {
    "acquirer_bin": "424242",
    "acquirer_country": "IE",
    "acquirer_merchant_id": "050661454304761",
    "requestor_id": "V0000000001234"
  },
  "amount": 1000,
  "channel": {
    "browser": {
      "accept_header": "Accept:  *.*;",
      "color_depth": 24,
      "ip_address": "1.12.123.255",
      "java_enabled": false,
      "javascript_enabled": true,
      "language": "en-US",
      "screen_height": 756,
      "screen_width": 1528,
      "timezone_offset": 0,
      "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36"
    },
    "type": "browser"
  },
  "created": 1743415027,
  "currency": "eur",
  "directory_server": "visa",
  "flow_preference": {
    "type": "frictionless"
  },
  "livemode": false,
  "message_category": "payment_authentication",
  "outcome": "canceled",
  "payment_method": "pm_1R8f5a10euUGRsD7cTg9GojI",
  "status": "canceled"
}
```

## Parameters

- `id` (string, required)
  Unique identifier for the object.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

## Returns

Returns a 3DS Authentication object if the cancellation succeeds. Returns an error if the 3DS Authentication isn’t in a cancelable state.
